Skip to main content
GET
Go (SDK)

Authorizations

Authorization
string
header
required

You can generate an Organization Access Token from your organization's settings.

Path Parameters

id
string<uuid4>
required

The benefit ID.

Response

Successful Response

A benefit of type custom.

Use it to grant any kind of benefit that doesn't fit in the other types.

id
string<uuid4>
required

The ID of the benefit.

created_at
string<date-time>
required

Creation timestamp of the object.

modified_at
string<date-time> | null
required

Last modification timestamp of the object.

type
string
required
Allowed value: "custom"
description
string
required

The description of the benefit.

selectable
boolean
required

Whether the benefit is selectable when creating a product.

deletable
boolean
required

Whether the benefit is deletable.

is_deleted
boolean
required

Whether the benefit is deleted.

organization_id
string<uuid4>
required

The ID of the organization owning the benefit.

metadata
object
required
visibility
enum<string>
required

The visibility of the benefit in the customer portal.

Available options:
draft,
private,
public
properties
BenefitCustomProperties · object
required

Properties for a benefit of type custom.

visibility_configurable
boolean
required